ambari-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Hudson (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (AMBARI-12730) Ambari Server schema upgrade should prompt about backups
Date Wed, 12 Aug 2015 12:42:46 GMT

    [ https://issues.apache.org/jira/browse/AMBARI-12730?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14693422#comment-14693422
] 

Hudson commented on AMBARI-12730:
---------------------------------

FAILURE: Integrated in Ambari-branch-2.1 #363 (See [https://builds.apache.org/job/Ambari-branch-2.1/363/])
AMBARI-12730. Ambari Server schema upgrade should prompt about backups.(vbrodetskyi) (vbrodetskyi:
http://git-wip-us.apache.org/repos/asf?p=ambari.git&a=commit&h=a38409c09f21d8c245da30033b655c58cbc38582)
* ambari-server/src/main/python/ambari_server/serverUpgrade.py
* ambari-server/src/main/python/ambari_server/serverConfiguration.py
* ambari-server/src/test/python/TestAmbariServer.py


> Ambari Server schema upgrade should prompt about backups
> --------------------------------------------------------
>
>                 Key: AMBARI-12730
>                 URL: https://issues.apache.org/jira/browse/AMBARI-12730
>             Project: Ambari
>          Issue Type: Bug
>          Components: ambari-server
>    Affects Versions: 2.1.0
>            Reporter: Vitaly Brodetskyi
>            Assignee: Vitaly Brodetskyi
>            Priority: Critical
>             Fix For: 2.1.2
>
>         Attachments: AMBARI-12730.patch
>
>
> When users perform "ambari-server upgrade", we should prompt the user to confirm they
have backed-up the Ambari DB and Ambari .properties file before proceeding. User runs "ambari-server
upgrade"...what do you think about this flow + output?
> {code}
> Performing ambari-server schema upgrade...
> Confirm you have made a backup of /etc/ambari-server/conf/ambari.properties [y/n] (y)?

> Ambari Server configured for Embedded Postgres. Confirm you have made a backup of the
Ambari Server database  [y/n] (y)? 
> {code}
> In the above, replace Embedded Postgres with Existing Postgres, Existing MySQL or Existing
Oracle as appropriate.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message